Subject: Re: [PATCH v2 05/18] gnu: Add clojure-core-memoize.

From: Maxime Devos <[email-masked]>
Date: Sat, 19 Mar 2022 20:23:37 +0100

Reily Siegel schreef op za 19-03-2022 om 20:07 [+0100]:
> Sean Corfield:
> 
> > [...] "Packaging" Clojure libraries seems kinda wrong on several
> > levels. The normal way to get Clojure libraries is as dependencies in
> > a project -- fetched by the Clojure tooling itself, when it is run.

This defeats the point of Guix and would come with all the same
problems that ‘just use the language-specific, unmoderated package
registry’ (NPM, Cargo, Maven (*), ...).

(*) TBC, Maven doesn't seem to cause any packaging trouble in Guix --
but from a security POV and ‘oops there are some references to binaries
that need to be corrected to an absolute file name’ POV it is not
sufficient.   Probably likewise for whatever Clojure has in place,
ignoring the occasional AOT problem.

Greetings,
Maxime.